Subject: Re: bug#61386: [PATCH] cp,mv,install: Disable sparse copy on macOS

From: Paul Eggert <[email-masked]>
Date: Fri, 10 Feb 2023 14:42:44 -0800

On 2/10/23 13:46, Pádraig Brady wrote:

> Maybe. Though POSIX says cp "shall copy" and we're not making a copy, 
> we're making a reflink.

If that were an important reason not to clone, then cp should not have 
made --reflink=auto the default, as clones would not be considered to be 
copies.

However, I'm comfortable with the idea that clones satisfy the POSIX 
definition of copying. The ordinary interpretation of "clone" means a 
copy, and at the POSIX level users can't tell the difference so the 
as-if rule applies. And if the file system does deduplication+CoW at the 
block level, with something like VDO say, there's no good way GNU 'cp' 
can force a copy rather than cloning regardless.